Add a comment to an RFI
curl --request POST \
--url https://api.circle.com/v1/onboarding/partner/applications/{applicationId}/rfis/{rfiId}/comments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Idempotency-Key: <x-idempotency-key>' \
--data '
{
"content": "<string>"
}
'import requests
url = "https://api.circle.com/v1/onboarding/partner/applications/{applicationId}/rfis/{rfiId}/comments"
payload = { "content": "<string>" }
headers = {
"X-Idempotency-Key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Idempotency-Key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({content: '<string>'})
};
fetch('https://api.circle.com/v1/onboarding/partner/applications/{applicationId}/rfis/{rfiId}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author": "<string>",
"commentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"content": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Add a comment to an RFI
POST
/
v1
/
onboarding
/
partner
/
applications
/
{applicationId}
/
rfis
/
{rfiId}
/
comments
Add a comment to an RFI
Authorizations
Bearer token obtained via Circle key exchange
Headers
Client-generated UUID used to safely retry POST requests. If the same key is submitted twice, the original response is returned without re-executing the operation. Must be a valid UUID v4 (e.g. 550e8400-e29b-41d4-a716-446655440099).
Body
application/json
Minimum string length:
1Was this page helpful?
Submit field data in response to an UPDATE_FIELD or NEW_FIELD RFI
Previous
Update a comment on an RFI
Next
⌘I